%global vdk_zigbin_req vdk-zigbin >= 0.2.0, vdk-zigbin < 0.3.0
%global zigdev_req zigdev >= 0.13.0, zigdev < 0.14.0
%global debug_package %{nil}


Name:           zkzig
Version:        0.0.0+t20240922202319.egg.g090e0ee
Release:        1%{?dist}
Summary:        ZkZig - Zig your Zettelkasten
URL:            https://gitlab.com/vornet/zig/zkzig
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  %{vdk_zigbin_req}
BuildRequires:  %{zigdev_req}
BuildRequires:  zigdev
BuildRequires:  findutils
Requires:       findutils

%description
Simple Zettelkasten-like note taking utility
based on UNIX design principles.  Intended to
be used from CLI or with dmenu or similar
interface.

Built with vdk-zigbin-0.2.5


%prep
%setup -q


%build
zig build --verbose --summary all --verbose-cc install


%install
make PREFIX=/usr DESTDIR="$RPM_BUILD_ROOT" install
touch pkg.files
find "$RPM_BUILD_ROOT" -type d -mindepth 1 \
  | sed "s:$RPM_BUILD_ROOT/:%dir /:" \
  | sort >> pkg.files
find "$RPM_BUILD_ROOT" -type f \
  | sed "s:$RPM_BUILD_ROOT/:/:" \
  | sort >> pkg.files


%check
true zig build --verbose --summary all --verbose-cc test


%files -f pkg.files


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.1.4 and vdk-zigbin-0.2.5
